Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine
Interface JRChart

All Superinterfaces:
  java.lang.Cloneable, JRAnchor, JRBox, JRBoxContainer, JRChild, JRCloneable, JRCommonElement, JRElement, JRHyperlink, JRPropertiesHolder, JRStyleContainer, JRVisitable

All Known Implementing Classes:
  JRBaseChart, JRDesignChart, JRFillChart

    public interface JRChart

extends JRElement, JRAnchor, JRHyperlink, JRBox, JRBoxContainer

Implementations of this interface can be used for rendering chart components. Data obtained from the report datasource can be also displayed in a chart, embedded in the report. There are a lot of chart types, each with its own dataset and characteristics. This interface only defines the common properties.

Version:
  $Id: JRChart.java 3549 2010-03-09 13:43:58Z shertage $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary
`static byte` | `CHART_TYPE_AREA`
`static byte` | `CHART_TYPE_BAR`
`static byte` | `CHART_TYPE_BAR3D`
`static byte` | `CHART_TYPE_BUBBLE`
`static byte` | `CHART_TYPE_CANDLESTICK`
`static byte` | `CHART_TYPE_GANTT`
`static byte` | `CHART_TYPE_HIGHLOW`
`static byte` | `CHART_TYPE_LINE`
`static byte` | `CHART_TYPE_METER`
`static byte` | `CHART_TYPE_MULTI_AXIS`
`static byte` | `CHART_TYPE_PIE`
`static byte` | `CHART_TYPE_PIE3D`
`static byte` | `CHART_TYPE_SCATTER`
`static byte` | `CHART_TYPE_STACKEDAREA`
`static byte` | `CHART_TYPE_STACKEDBAR`
`static byte` | `CHART_TYPE_STACKEDBAR3D`
`static byte` | `CHART_TYPE_THERMOMETER`
`static byte` | `CHART_TYPE_TIMESERIES`
`static byte` | `CHART_TYPE_XYAREA`
`static byte` | `CHART_TYPE_XYBAR`
`static byte` | `CHART_TYPE_XYLINE`
`static byte` | `EDGE_BOTTOM` Deprecated. Replaced by `EdgeEnum.BOTTOM`.
`static byte` | `EDGE_LEFT` Deprecated. Replaced by `EdgeEnum.LEFT`.
`static byte` | `EDGE_RIGHT` Deprecated. Replaced by `EdgeEnum.RIGHT`.
`static byte` | `EDGE_TOP` Deprecated. Replaced by `EdgeEnum.TOP`.
`static java.lang.String` | `PROPERTY_CHART_RENDER_TYPE` Specifies the type of chart rendering.
`static java.lang.String` | `PROPERTY_CHART_THEME` Property used to specify the chart theme name.
`static java.lang.String` | `RENDER_TYPE_DRAW` rendering type
`static java.lang.String` | `RENDER_TYPE_IMAGE`
`static java.lang.String` | `RENDER_TYPE_SVG`
`static byte` | `TITLE_POSITION_BOTTOM` Deprecated. Replaced by `EdgeEnum.BOTTOM`.
`static byte` | `TITLE_POSITION_LEFT` Deprecated. Replaced by `EdgeEnum.LEFT`.
`static byte` | `TITLE_POSITION_RIGHT` Deprecated. Replaced by `EdgeEnum.RIGHT`.
`static byte` | `TITLE_POSITION_TOP` Deprecated. Replaced by `EdgeEnum.TOP`.

Fields inherited from interface net.sf.jasperreports.engine.JRElement
`MODE_OPAQUE, MODE_TRANSPARENT, POSITION_TYPE_FIX_RELATIVE_TO_BOTTOM, POSITION_TYPE_FIX_RELATIVE_TO_TOP, POSITION_TYPE_FLOAT, STRETCH_TYPE_NO_STRETCH, STRETCH_TYPE_RELATIVE_TO_BAND_HEIGHT, STRETCH_TYPE_RELATIVE_TO_TALLEST_OBJECT`

Fields inherited from interface net.sf.jasperreports.engine.JRAnchor
`NO_BOOKMARK`

Fields inherited from interface net.sf.jasperreports.engine.JRHyperlink
`HYPERLINK_TARGET_BLANK, HYPERLINK_TARGET_CUSTOM, HYPERLINK_TARGET_PARENT, HYPERLINK_TARGET_SELF, HYPERLINK_TARGET_TOP, HYPERLINK_TYPE_CUSTOM, HYPERLINK_TYPE_LOCAL_ANCHOR, HYPERLINK_TYPE_LOCAL_PAGE, HYPERLINK_TYPE_NONE, HYPERLINK_TYPE_NULL, HYPERLINK_TYPE_REFERENCE, HYPERLINK_TYPE_REMOTE_ANCHOR, HYPERLINK_TYPE_REMOTE_PAGE`

Method Summary
`JRBox` | `getBox()` Deprecated. Replaced by `JRBoxContainer.getLineBox()`
`byte` | `getChartType()` Gets the chart type.
`java.lang.String` | `getCustomizerClass()` Gets a user specified chart customizer class name.
`JRChartDataset` | `getDataset()` Gets the chart dataset.
`JRGroup` | `getEvaluationGroup()` Gets the evaluation group for this chart (only applies when evaluation time is group).
`byte` | `getEvaluationTime()` Deprecated. Replaced by `getEvaluationTimeValue()`.
`EvaluationTimeEnum` | `getEvaluationTimeValue()` Returns the evaluation time for this chart.
`java.awt.Color` | `getLegendBackgroundColor()`
`java.awt.Color` | `getLegendColor()`
`JRFont` | `getLegendFont()`
`byte` | `getLegendPosition()` Deprecated. Replaced by `getLegendPositionValue()`
`java.lang.Byte` | `getLegendPositionByte()` Deprecated. Replaced by `getLegendPositionValue()`
`EdgeEnum` | `getLegendPositionValue()`
`java.awt.Color` | `getOwnLegendBackgroundColor()`
`java.awt.Color` | `getOwnLegendColor()`
`java.awt.Color` | `getOwnSubtitleColor()`
`java.awt.Color` | `getOwnTitleColor()`
`JRChartPlot` | `getPlot()` Gets the chart plot.
`java.lang.String` | `getRenderType()`
`java.lang.Boolean` | `getShowLegend()`
`java.awt.Color` | `getSubtitleColor()`
`JRExpression` | `getSubtitleExpression()` Gets the expression whose evaluation will form the subtitle.
`JRFont` | `getSubtitleFont()`
`java.lang.String` | `getTheme()`
`java.awt.Color` | `getTitleColor()`
`JRExpression` | `getTitleExpression()` Gets the expression whose evaluation will form the title.
`JRFont` | `getTitleFont()`
`byte` | `getTitlePosition()` Deprecated. Replaced by `getTitlePositionValue()`
`java.lang.Byte` | `getTitlePositionByte()` Deprecated. Replaced by `getTitlePositionValue()`
`EdgeEnum` | `getTitlePositionValue()` Gets the title position relative to the chart.
`boolean` | `isShowLegend()` Deprecated. Replaced by `getShowLegend()`
`void` | `setLegendBackgroundColor(java.awt.Color legendBackgroundColor)`
`void` | `setLegendColor(java.awt.Color legendColor)`
`void` | `setLegendPosition(byte legendPosition)` Deprecated. Replaced by `setLegendPosition(EdgeEnum)`
`void` | `setLegendPosition(java.lang.Byte legendPosition)` Deprecated. Replaced by `setLegendPosition(EdgeEnum)`
`void` | `setLegendPosition(EdgeEnum legendPosition)`
`void` | `setRenderType(java.lang.String renderType)`
`void` | `setShowLegend(boolean isShowLegend)` Deprecated. Replaced by `setShowLegend(Boolean)`
`void` | `setShowLegend(java.lang.Boolean isShowLegend)`
`void` | `setSubtitleColor(java.awt.Color subtitleColor)`
`void` | `setTheme(java.lang.String theme)`
`void` | `setTitleColor(java.awt.Color titleColor)`
`void` | `setTitlePosition(byte titlePosition)` Deprecated. Replaced by `setTitlePosition(EdgeEnum)`
`void` | `setTitlePosition(java.lang.Byte titlePosition)` Deprecated. Replaced by `setTitlePosition(EdgeEnum)`
`void` | `setTitlePosition(EdgeEnum titlePosition)` Sets the title position relative to the chart.

Methods inherited from interface net.sf.jasperreports.engine.JRElement
`collectExpressions, getElementGroup, getKey, getPositionType, getPositionTypeValue, getPrintWhenExpression, getPrintWhenGroupChanges, getPropertyExpressions, getStretchType, getStretchTypeValue, getX, getY, isPrintInFirstWholeBand, isPrintRepeatedValues, isPrintWhenDetailOverflows, isRemoveLineWhenBlank, setPositionType, setPositionType, setPrintInFirstWholeBand, setPrintRepeatedValues, setPrintWhenDetailOverflows, setRemoveLineWhenBlank, setStretchType, setStretchType, setWidth, setX`

Methods inherited from interface net.sf.jasperreports.engine.JRChild
`clone`

Methods inherited from interface net.sf.jasperreports.engine.JRVisitable
`visit`

Methods inherited from interface net.sf.jasperreports.engine.JRCloneable
`clone`

Methods inherited from interface net.sf.jasperreports.engine.JRCommonElement
`getBackcolor, getForecolor, getHeight, getMode, getModeValue, getOwnBackcolor, getOwnForecolor, getOwnMode, getOwnModeValue, getWidth, setBackcolor, setForecolor, setMode, setMode, setMode`

Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer
`getDefaultStyleProvider, getStyle, getStyleNameReference`

Methods inherited from interface net.sf.jasperreports.engine.JRPropertiesHolder
`getParentProperties, getPropertiesMap, hasProperties`

Methods inherited from interface net.sf.jasperreports.engine.JRAnchor
`getAnchorNameExpression, getBookmarkLevel`

Methods inherited from interface net.sf.jasperreports.engine.JRHyperlink
`getHyperlinkAnchorExpression, getHyperlinkPageExpression, getHyperlinkParameters, getHyperlinkReferenceExpression, getHyperlinkTarget, getHyperlinkTooltipExpression, getHyperlinkType, getHyperlinkTypeValue, getLinkTarget, getLinkType`

Methods inherited from interface net.sf.jasperreports.engine.JRBox
`getBorder, getBorderColor, getBottomBorder, getBottomBorderColor, getBottomPadding, getLeftBorder, getLeftBorderColor, getLeftPadding, getOwnBorder, getOwnBorderColor, getOwnBottomBorder, getOwnBottomBorderColor, getOwnBottomPadding, getOwnLeftBorder, getOwnLeftBorderColor, getOwnLeftPadding, getOwnPadding, getOwnRightBorder, getOwnRightBorderColor, getOwnRightPadding, getOwnTopBorder, getOwnTopBorderColor, getOwnTopPadding, getPadding, getRightBorder, getRightBorderColor, getRightPadding, getTopBorder, getTopBorderColor, getTopPadding, setBorder, setBorder, setBorderColor, setBottomBorder, setBottomBorder, setBottomBorderColor, setBottomPadding, setBottomPadding, setLeftBorder, setLeftBorder, setLeftBorderColor, setLeftPadding, setLeftPadding, setPadding, setPadding, setRightBorder, setRightBorder, setRightBorderColor, setRightPadding, setRightPadding, setTopBorder, setTopBorder, setTopBorderColor, setTopPadding, setTopPadding`

Methods inherited from interface net.sf.jasperreports.engine.JRBoxContainer
`getDefaultLineColor, getLineBox`

Field Detail

### PROPERTY_CHART_RENDER_TYPE

    static final java.lang.String PROPERTY_CHART_RENDER_TYPE

  Specifies the type of chart rendering. Possible values are `draw`, `image` and `svg`. If the rendering type is `draw` a vector image is constructed, using the `JFreeChart` dedicated APIs. For type image, a PNG encoded image will be generated, while for type svg, an SVG snippet will be generated.

  Defaults to `draw`.

  See Also:
    Constant Field Values

### PROPERTY_CHART_THEME

    static final java.lang.String PROPERTY_CHART_THEME

  Property used to specify the chart theme name.

  See Also:
    Constant Field Values

### EDGE_TOP

    static final byte EDGE_TOP

  Deprecated. Replaced by `EdgeEnum.TOP`.
  See Also:
    Constant Field Values

### EDGE_BOTTOM

    static final byte EDGE_BOTTOM

  Deprecated. Replaced by `EdgeEnum.BOTTOM`.
  See Also:
    Constant Field Values

### EDGE_LEFT

    static final byte EDGE_LEFT

  Deprecated. Replaced by `EdgeEnum.LEFT`.
  See Also:
    Constant Field Values

### EDGE_RIGHT

    static final byte EDGE_RIGHT

  Deprecated. Replaced by `EdgeEnum.RIGHT`.
  See Also:
    Constant Field Values

### TITLE_POSITION_TOP

    static final byte TITLE_POSITION_TOP

  Deprecated. Replaced by `EdgeEnum.TOP`.
  See Also:
    Constant Field Values

### TITLE_POSITION_BOTTOM

    static final byte TITLE_POSITION_BOTTOM

  Deprecated. Replaced by `EdgeEnum.BOTTOM`.
  See Also:
    Constant Field Values

### TITLE_POSITION_LEFT

    static final byte TITLE_POSITION_LEFT

  Deprecated. Replaced by `EdgeEnum.LEFT`.
  See Also:
    Constant Field Values

### TITLE_POSITION_RIGHT

    static final byte TITLE_POSITION_RIGHT

  Deprecated. Replaced by `EdgeEnum.RIGHT`.
  See Also:
    Constant Field Values

### CHART_TYPE_AREA

    static final byte CHART_TYPE_AREA

See Also:
  Constant Field Values

### CHART_TYPE_BAR3D

    static final byte CHART_TYPE_BAR3D

See Also:
  Constant Field Values

### CHART_TYPE_BAR

    static final byte CHART_TYPE_BAR

See Also:
  Constant Field Values

### CHART_TYPE_BUBBLE

    static final byte CHART_TYPE_BUBBLE

See Also:
  Constant Field Values

### CHART_TYPE_CANDLESTICK

    static final byte CHART_TYPE_CANDLESTICK

See Also:
  Constant Field Values

### CHART_TYPE_HIGHLOW

    static final byte CHART_TYPE_HIGHLOW

See Also:
  Constant Field Values

### CHART_TYPE_LINE

    static final byte CHART_TYPE_LINE

See Also:
  Constant Field Values

### CHART_TYPE_PIE3D

    static final byte CHART_TYPE_PIE3D

See Also:
  Constant Field Values

### CHART_TYPE_PIE

    static final byte CHART_TYPE_PIE

See Also:
  Constant Field Values

### CHART_TYPE_SCATTER

    static final byte CHART_TYPE_SCATTER

See Also:
  Constant Field Values

### CHART_TYPE_STACKEDBAR3D

    static final byte CHART_TYPE_STACKEDBAR3D

See Also:
  Constant Field Values

### CHART_TYPE_STACKEDBAR

    static final byte CHART_TYPE_STACKEDBAR

See Also:
  Constant Field Values

### CHART_TYPE_XYAREA

    static final byte CHART_TYPE_XYAREA

See Also:
  Constant Field Values

### CHART_TYPE_XYBAR

    static final byte CHART_TYPE_XYBAR

See Also:
  Constant Field Values

### CHART_TYPE_XYLINE

    static final byte CHART_TYPE_XYLINE

See Also:
  Constant Field Values

### CHART_TYPE_TIMESERIES

    static final byte CHART_TYPE_TIMESERIES

See Also:
  Constant Field Values

### CHART_TYPE_METER

    static final byte CHART_TYPE_METER

See Also:
  Constant Field Values

### CHART_TYPE_THERMOMETER

    static final byte CHART_TYPE_THERMOMETER

See Also:
  Constant Field Values

### CHART_TYPE_MULTI_AXIS

    static final byte CHART_TYPE_MULTI_AXIS

See Also:
  Constant Field Values

### CHART_TYPE_STACKEDAREA

    static final byte CHART_TYPE_STACKEDAREA

See Also:
  Constant Field Values

### CHART_TYPE_GANTT

    static final byte CHART_TYPE_GANTT

See Also:
  Constant Field Values

### RENDER_TYPE_DRAW

    static final java.lang.String RENDER_TYPE_DRAW

  rendering type

  See Also:
    Constant Field Values

### RENDER_TYPE_IMAGE

    static final java.lang.String RENDER_TYPE_IMAGE

See Also:
  Constant Field Values

### RENDER_TYPE_SVG

    static final java.lang.String RENDER_TYPE_SVG

See Also:
  Constant Field Values

Method Detail

### isShowLegend

    boolean isShowLegend()

  Deprecated. Replaced by `getShowLegend()`

### getShowLegend

    java.lang.Boolean getShowLegend()

### setShowLegend

    void setShowLegend(boolean isShowLegend)

  Deprecated. Replaced by `setShowLegend(Boolean)`

### setShowLegend

    void setShowLegend(java.lang.Boolean isShowLegend)

### getEvaluationTime

    byte getEvaluationTime()

  Deprecated. Replaced by `getEvaluationTimeValue()`.

### getEvaluationTimeValue

    EvaluationTimeEnum getEvaluationTimeValue()

  Returns the evaluation time for this chart.

### getEvaluationGroup

    JRGroup getEvaluationGroup()

  Gets the evaluation group for this chart (only applies when evaluation time is group).

### getBox

    JRBox getBox()

  Deprecated. Replaced by `JRBoxContainer.getLineBox()`

  Gets the box around the element.

### getTitleExpression

    JRExpression getTitleExpression()

  Gets the expression whose evaluation will form the title.

### getTitleFont

    JRFont getTitleFont()

### getTitlePosition

    byte getTitlePosition()

  Deprecated. Replaced by `getTitlePositionValue()`

### setTitlePosition

    void setTitlePosition(byte titlePosition)

  Deprecated. Replaced by `setTitlePosition(EdgeEnum)`

### getTitlePositionByte

    java.lang.Byte getTitlePositionByte()

  Deprecated. Replaced by `getTitlePositionValue()`

### setTitlePosition

    void setTitlePosition(java.lang.Byte titlePosition)

  Deprecated. Replaced by `setTitlePosition(EdgeEnum)`

### getTitlePositionValue

    EdgeEnum getTitlePositionValue()

  Gets the title position relative to the chart.

### setTitlePosition

    void setTitlePosition(EdgeEnum titlePosition)

  Sets the title position relative to the chart.

### getTitleColor

    java.awt.Color getTitleColor()

### getOwnTitleColor

    java.awt.Color getOwnTitleColor()

### setTitleColor

    void setTitleColor(java.awt.Color titleColor)

### getSubtitleExpression

    JRExpression getSubtitleExpression()

  Gets the expression whose evaluation will form the subtitle.

### getSubtitleFont

    JRFont getSubtitleFont()

### getSubtitleColor

    java.awt.Color getSubtitleColor()

### getOwnSubtitleColor

    java.awt.Color getOwnSubtitleColor()

### setSubtitleColor

    void setSubtitleColor(java.awt.Color subtitleColor)

### getLegendColor

    java.awt.Color getLegendColor()

### getOwnLegendColor

    java.awt.Color getOwnLegendColor()

### setLegendColor

    void setLegendColor(java.awt.Color legendColor)

### getOwnLegendBackgroundColor

    java.awt.Color getOwnLegendBackgroundColor()

### getLegendBackgroundColor

    java.awt.Color getLegendBackgroundColor()

### setLegendBackgroundColor

    void setLegendBackgroundColor(java.awt.Color legendBackgroundColor)

### getLegendFont

    JRFont getLegendFont()

### getLegendPosition

    byte getLegendPosition()

  Deprecated. Replaced by `getLegendPositionValue()`

### setLegendPosition

    void setLegendPosition(byte legendPosition)

  Deprecated. Replaced by `setLegendPosition(EdgeEnum)`

### getLegendPositionByte

    java.lang.Byte getLegendPositionByte()

  Deprecated. Replaced by `getLegendPositionValue()`

### setLegendPosition

    void setLegendPosition(java.lang.Byte legendPosition)

  Deprecated. Replaced by `setLegendPosition(EdgeEnum)`

### getLegendPositionValue

    EdgeEnum getLegendPositionValue()

### setLegendPosition

    void setLegendPosition(EdgeEnum legendPosition)

### getDataset

    JRChartDataset getDataset()

  Gets the chart dataset. Most chart types have different dataset structures, depending on the chart type.

### getPlot

    JRChartPlot getPlot()

  Gets the chart plot. Plots are used to define various chart visual properties, such as colors and transparency.

### getChartType

    byte getChartType()

  Gets the chart type. It must be one of the chart type constants in this class.

### getCustomizerClass

    java.lang.String getCustomizerClass()

  Gets a user specified chart customizer class name.

  See Also:
    `JRChartCustomizer`

### getRenderType

    java.lang.String getRenderType()

### setRenderType

    void setRenderType(java.lang.String renderType)

### getTheme

    java.lang.String getTheme()

### setTheme

    void setTheme(java.lang.String theme)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com